
Infrastructure - Bug #3029

SANDBOX: synchronization puts an unregistered NodeReference in replica.replicaMemberNode

2012-06-26 21:30 - Rob Nahf

Status: Closed Start date: 2012-06-26

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version: Sprint-2012.25-Block.4.1   

Milestone: None Story Points:  

Product Version: *   

Description

In sandbox, the NodeReference "urn:node:cnSandbox" is not found in the NodeRegistry, but it is used for replicas in synchronization.

urn:node:cnSandbox

completed

2012-06-25T00:00:00.000+00:00

(this causes problems in general because it breaks the contract that nodeReferences used in the system should be (registered) in

the NodeRegistry, and in specific in the case where D1Client.getMN(nodeReference) uses the Nodelist to look up the base url, as

well as resolve.)

Need to register the round-robin CN into the cn.nodeList.

History

#1 - 2012-07-03 02:39 - Robert Waltz

- Status changed from New to Closed

Powered by TCPDF (www.tcpdf.org)

2024-04-27 1/1

http://www.tcpdf.org

